package gov.va.med.esr.jms.vadir.inboundRequest;

import java.util.Date;

/**
 * @author DNS   barryc
 */
public class VadirServiceMilitaryHistoryRequest extends
		AbstractVadirServiceRequest {
	private static final long serialVersionUID = 5233913096851491778L;

	// ------------------------------------------ Fields

	private String ssn;
	private String firstName;
	private String lastName;
	private Date dateOfBirth;
	private String icn;
	private String gender;

	// ------------------------------------------ Accessor Methods

	public String getSsn() {
		return ssn;
	}

	public void setSsn(String ssn) {
		this.ssn = ssn;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public Date getDateOfBirth() {
		return dateOfBirth;
	}

	public void setDateOfBirth(Date dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	public String getIcn() {
		return icn;
	}

	public void setIcn(String icn) {
		this.icn = icn;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

}
